Package be.ehealth.businessconnector.therlink.builders

# Class RequestObjectBuilderFactory

java.lang.Object
be.ehealth.businessconnector.therlink.builders.RequestObjectBuilderFactory

public final class RequestObjectBuilderFactory extends Object
Factory for `CommonObjectBuilder`, `ProofBuilder` and `RequestObjectBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CommonObjectBuilder`
  `getCommonBuilder()`
  Retrieve an instance of a `CommonObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.CommonObjectBuilderImpl"
  `static ProofBuilder`
  `getProofBuilder()`
  Retrieve an instance of a `ProofBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.ProofBuilderImpl"
  `static RequestObjectBuilder`
  `getRequestObjectBuilder()`
  Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.GenericRequestObjectBuilder"

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCommonBuilder

    public static CommonObjectBuilder getCommonBuilder() throws TherLinkBusinessConnectorException, TechnicalConnectorException, InstantiationException
    Retrieve an instance of a `CommonObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.CommonObjectBuilderImpl"
    Returns:
    Throws:
      `TherLinkBusinessConnectorException`
      `TechnicalConnectorException`
      `InstantiationException`

  - ### getProofBuilder

    public static ProofBuilder getProofBuilder() throws TechnicalConnectorException, TherLinkBusinessConnectorException, InstantiationException
    Retrieve an instance of a `ProofBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.ProofBuilderImpl"
    Returns:
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`
      `InstantiationException`

  - ### getRequestObjectBuilder

    public static RequestObjectBuilder getRequestObjectBuilder() throws TechnicalConnectorException, TherLinkBusinessConnectorException, InstantiationException
    Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file By default, it would be "be.ehealth.businessconnector.therlink.builders.impl.GenericRequestObjectBuilder"
    Returns:
      configured `RequestObjectBuilder`
    Throws:
      `TechnicalConnectorException`
      `TherLinkBusinessConnectorException`
      `InstantiationException`